<?php
$mysql_user = "jabbo";
$mysql_pass = "";
$mysql_host = "localhost";
$mysql_dbn = "";
if (!@mysql_select_db($mysql_dbn, @mysql_connect($mysql_host, $mysql_user, $mysql_pass)))   
{   
     echo "De site is tijdelijk ontoegankelijk.";
     exit();   
}
if (!function_exists('halen'))
{
	function halen($sql)
	{
		$result = mysql_query($sql);
		$record = mysql_fetch_row($result);
		return $record[0];
	}
}
$next = "
";
$dir = "test";
$cat_namen = array();
$cat_gebleven = array();
$cmd_uitvoer = "@echo off".$next;
$cmd_uitvoer .= "echo.".$next;
$cmd_uitvoer .= "echo Bezig met verplaatsen positiebestanden".$next;
$cmd_uitvoer .= "echo naar juiste locaties...".$next;
$nummer = 1;
$res = mysql_query("SELECT * FROM catalogus;");
if (mysql_num_rows($res) >= 1) 
{
    while ($row = mysql_fetch_array($res)) 
    {
	    $cat_namen[$row['id']] = $row['naam'];
	    $cat_gebleven[$row['id']] = 1;
    }
}
$res2 = mysql_query("SELECT * FROM prijslijst;");
if (mysql_num_rows($res2) >= 1) 
{
    while ($row2 = mysql_fetch_array($res2)) 
    {
	    $tekst = "";
	    $cmd_uitvoer .= 'move '.$nummer.'.txt '.ucfirst($cat_namen[$row2['cat']]).'/'. $cat_gebleven[$row2['cat']].'/positie.txt'.$next;
		// ucfirst() = eerste letter hoofdletter maken
		$tekst .= '$wijzig_x = "'.$row2['wijzig_x'].'";'.$next;
		$tekst .= '$wijzig_y = "'.$row2['wijzig_y'].'";'.$next;
		$tekst .= '$draai_x = "'.$row2['draai_x'].'";'.$next;
		$tekst .= '$draai_y = "'.$row2['draai_y'].'";'.$next;
		$tekst .= '$actie_x = "'.$row2['actie_x'].'";'.$next;
		$tekst .= '$actie_y = "'.$row2['actie_y'].'";'.$next;
		$tekst .= '$stapelen = "'.$row2['stapelen'].'";'.$next;
		$tekst .= '$stapel_x = "'.$row2['stapel_x'].'";'.$next;
		$tekst .= '$stapel_y = "'.$row2['stapel_y'].'";'.$next;
		$tekst .= '$lengte = "'.$row2['lengte'].'";'.$next;
		$tekst .= '$breedte = "'.$row2['breedte'].'";'.$next;
		$tekst .= '$soort = "'.$row2['soort'].'";'.$next;
		$tekst .= '$actief = "'.$row2['actief'].'";';
		file_put_contents($dir."/".$nummer.".txt", $tekst);
		$nummer++;
		$cat_gebleven[$row2['cat']]++;
    }
}
file_put_contents($dir."/verplaats.cmd", $cmd_uitvoer);
?>